//po4a: entry man manual
////
Copyright 1999 Andries E. Brouwer (aeb@cwi.nl)
May be freely distributed.
////
= mkfs.bfs(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: mkfs.bfs

== NAME

mkfs.bfs - make an SCO bfs filesystem

== SYNOPSIS

*mkfs.bfs* [options] _device_ [_block-count_]

== DESCRIPTION

*mkfs.bfs* creates an SCO bfs filesystem on a block device (usually a disk partition or a file accessed via the loop device).

The _block-count_ parameter is the desired size of the filesystem, in blocks. If nothing is specified, the entire partition will be used.

== OPTIONS

*-N*, *--inodes* _number_::
Specify the desired _number_ of inodes (at most 512). If nothing is specified, some default number in the range 48-512 is picked depending on the size of the partition.

*-V*, *--vname* _label_::
Specify the volume _label_. I have no idea if/where this is used.

*-F*, *--fname* _name_::
Specify the filesystem _name_. I have no idea if/where this is used.

*--lock*[=_mode_]::
Use exclusive BSD lock for device or file it operates. The optional argument _mode_ can be *yes*, *no* (or 1 and 0) or *nonblock*. If the _mode_ argument is omitted, it defaults to *yes*. This option overwrites environment variable *$LOCK_BLOCK_DEVICE*. The default is not to use any lock at all, but it's recommended to avoid collisions with *systemd-udevd*(8) or other tools.

*-v*, *--verbose*::
Explain what is being done.

*-c*::
This option is silently ignored.

*-l*::
This option is silently ignored.

include::man-common/help-version.adoc[]
Option *-V* only works as *--version* when it is the only option.

== EXIT STATUS

The exit status returned by *mkfs.bfs* is 0 when all went well, and 1 when something went wrong.

== SEE ALSO

*mkfs*(8)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
